<?php

namespace Litecms\LeaderboardAd\Seeders;

use DB;
use Illuminate\Database\Seeder;

class LeaderboardAdTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('leaderboard_ads')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'leaderboard_ad.leaderboard_ad.view',
                'name'      => 'View LeaderboardAd',
            ],
            [
                'slug'      => 'leaderboard_ad.leaderboard_ad.create',
                'name'      => 'Create LeaderboardAd',
            ],
            [
                'slug'      => 'leaderboard_ad.leaderboard_ad.edit',
                'name'      => 'Update LeaderboardAd',
            ],
            [
                'slug'      => 'leaderboard_ad.leaderboard_ad.delete',
                'name'      => 'Delete LeaderboardAd',
            ],
            
            
        ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/leaderboard_ad/leaderboard_ad',
                'name'        => 'LeaderboardAd',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/leaderboard_ad/leaderboard_ad',
                'name'        => 'LeaderboardAd',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'leaderboard_ad',
                'name'        => 'LeaderboardAd',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'LeaderboardAd',
                'module'    => 'LeaderboardAd',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'leaderboard_ad.leaderboard_ad.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
