Lavalite package that provides leaderboard_ad management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/leaderboard_ad`.

    "litecms/leaderboard_ad": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\LeaderboardAd\Providers\LeaderboardAdServiceProvider::class,

And also add it to alias

    'LeaderboardAd'  => Litecms\LeaderboardAd\Facades\LeaderboardAd::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\LeaderboardAd\\Seeders\\LeaderboardAdTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\LeaderboardAd\Providers\LeaderboardAdServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\LeaderboardAd\Providers\LeaderboardAdServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\LeaderboardAd\Providers\LeaderboardAdServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/leaderboard_ad/{modulename}

**User**

    http://path-to-route-folder/user/leaderboard_ad/{modulename}

**Public**

    http://path-to-route-folder/leaderboard_ads


### API endpoints

**List**

    http://path-to-route-folder/api/user/leaderboard_ad/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/leaderboard_ad/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/leaderboard_ad/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/leaderboard_ad/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/leaderboard_ad/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/leaderboard_ad/{modulename}/{slug}
    METHOD: GET