<?php

namespace Litecms\LeaderboardAd\Forms;

use Litepie\Form\FormInterpreter;

class LeaderboardAd extends FormInterpreter
{

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public static function setAttributes()
    {

        self::$urls = [
            'new' => [
                'url' => guard_url('leaderboard_ad/leaderboard_ad/new'),
                'method' => 'GET',
            ],
            'create' => [
                'url' => guard_url('leaderboard_ad/leaderboard_ad/create'),
                'method' => 'GET',
            ],
            'store' => [
                'url' => guard_url('leaderboard_ad/leaderboard_ad'),
                'method' => 'POST',
            ],
            'update' => [
                'url' => guard_url('leaderboard_ad/leaderboard_ad'),
                'method' => 'PUT',
            ],
            'list' => [
                'url' => guard_url('leaderboard_ad/leaderboard_ad'),
                'method' => 'GET',
            ],
            'delete' => [
                'url' => guard_url('leaderboard_ad/leaderboard_ad'),
                'method' => 'DELETE',
            ],
        ];
        self::$search = [
            'name' => [
                "type" => 'text',
                "label" => trans('leaderboard_ad::leaderboard_ad.label.name'),
                "placeholder" => trans('leaderboard_ad::leaderboard_ad.placeholder.name'),
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "4",
                "roles" => [],
            ]
        ];
        self::$orderBy = [
            'created_at' => trans('leaderboard_ad::leaderboard_ad.label.created_at'),
            'name' => trans('leaderboard_ad::leaderboard_ad.label.name'),
            'status' => trans('leaderboard_ad::leaderboard_ad.label.status'),
        ];
        self::$groups = [
            'main' => trans('leaderboard_ad::leaderboard_ad.groups.main'),
            'details' => trans('leaderboard_ad::leaderboard_ad.groups.details'),
            'images' => trans('leaderboard_ad::leaderboard_ad.groups.images'),
            'settings' => trans('leaderboard_ad::leaderboard_ad.groups.settings'),
        ];
        self::$list = [
            [
                'key' => "ref",
                'label' => trans('leaderboard_ad::leaderboard_ad.label.ref'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "id",
                'label' => trans('leaderboard_ad::leaderboard_ad.label.id'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "name",
                'label' => trans('leaderboard_ad::leaderboard_ad.label.name'),
                'sortable' => 'true',
                'roles' => [],
            ],
            [
                'key' => "status",
                'label' => trans('leaderboard_ad::leaderboard_ad.label.status'),
                'sortable' => 'true',
                'roles' => [],
            ],
        ];
        self::$fields = [
                'title' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('leaderboard_ad::leaderboard_ad.label.title'),
                "placeholder" => trans('leaderboard_ad::leaderboard_ad.placeholder.title'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'url' => [
                "element" => 'text',
                "type" => 'text',
                "label" => trans('leaderboard_ad::leaderboard_ad.label.url'),
                "placeholder" => trans('leaderboard_ad::leaderboard_ad.placeholder.url'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'banner' => [
                "element" => 'file',
                "type" => 'image',
                "label" => trans('leaderboard_ad::leaderboard_ad.label.banner'),
                "placeholder" => trans('leaderboard_ad::leaderboard_ad.placeholder.banner'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "12",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            'status' => [
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => trans('leaderboard_ad::leaderboard_ad.label.status'),
                "placeholder" => trans('leaderboard_ad::leaderboard_ad.placeholder.status'),
                "required" => 'true',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ];

        return new static();
    }
}
