<?php

namespace Litecms\LeaderboardAd\Repositories\Eloquent;

use Litecms\LeaderboardAd\Interfaces\LeaderboardAdRepositoryInterface;
use Litepie\Repository\BaseRepository;
use Litecms\LeaderboardAd\Repositories\Eloquent\Presenters\LeaderboardAdItemPresenter;


class LeaderboardAdRepository extends BaseRepository implements LeaderboardAdRepositoryInterface
{

    public function boot()
    {
        $this->fieldSearchable = config('litecms.leaderboard_ad.leaderboard_ad.model.search');
    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('litecms.leaderboard_ad.leaderboard_ad.model.model');
    }

    /**
     * Returns the default presenter if none is availabale.
     *
     * @return void
     */
    public function presenter()
    {
        return LeaderboardAdItemPresenter::class;
    }
}
